## org.eclipse.datatools.sqltools.parsers.sql
Class SQLParserInternalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.datatools.sqltools.parsers.sql.SQLParserInternalException

All Implemented Interfaces:
  java.io.Serializable

    public class SQLParserInternalException

extends java.lang.Exception

Exception thrown by `SQLQueryParser` when an internal error occured while attempting to run the parser. Possible init cause is `BadParseSymFileException` or `NotBacktrackParseTableException`.

Author:
  ckadner
See Also:
  Serialized Form

Constructor Summary
`SQLParserInternalException()`
`SQLParserInternalException(lpg.lpgjavaruntime.BadParseSymFileException e, java.lang.String message)`
`SQLParserInternalException(lpg.lpgjavaruntime.NotBacktrackParseTableException e, java.lang.String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SQLParserInternalException

    public SQLParserInternalException()

### SQLParserInternalException

    public SQLParserInternalException(lpg.lpgjavaruntime.BadParseSymFileException e,
                                      java.lang.String message)

### SQLParserInternalException

    public SQLParserInternalException(lpg.lpgjavaruntime.NotBacktrackParseTableException e,
                                      java.lang.String message)